=== debian/control ===
Source: freshplayerplugin
Section: contrib/web
Priority: optional
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 pkg-config, libglib2.0-dev, libasound2-dev, libx11-dev, libgl1-mesa-dev,
 liburiparser-dev, libcairo2-dev, libpango1.0-dev, libpangocairo-1.0-0,
 libpangoft2-1.0-0, libfreetype6-dev, libgtk2.0-dev, libxinerama-dev,
 libconfig-dev, libevent-dev, libegl1-mesa-dev, libgles2-mesa-dev, ragel,
 libssl-dev, libv4l-dev,
 libpulse-dev, libavcodec-dev, libavutil-dev, libva-dev, libvdpau-dev
Standards-Version: 3.9.6
Homepage: https://github.com/i-rinat/freshplayerplugin
Vcs-Git: git://anonscm.debian.org/collab-maint/freshplayerplugin.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/freshplayerplugin.git

Package: browser-plugin-freshplayer-pepperflash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pepperflashplugin-nonfree
Description: PPAPI-host NPAPI-plugin adapter for pepperflash
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 Flash plugin for Linux provided by adobe stopped at version 11.2; for
 chrome/chromium users there is pepperflash plugin but it's not supported by
 firefox/iceweasel/other browsers.
 .
 This package allows one to use the Pepper Flash plugin from Chrome
 in NPAPI web browsers.

Package: browser-plugin-freshplayer-libpdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PPAPI-host NPAPI-plugin adapter for libpdf.so from Chrome
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 This package allows one to use the libpdf.so plugin from Chrome
 in NPAPI web browsers.

Package: browser-plugin-freshplayer-nacl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PPAPI-host NPAPI-plugin adapter for Native Client from Chrome
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 This package allows one to use the Native Client plugin from Chrome
 (libppGoogleNaClPluginChrome.so) in NPAPI web browsers.
