=== cmake/ffmpeg-compat/CMakeLists.txt ===
--- 
+++ 
@@ -34,4 +34,4 @@
 MACRO_SYMBOL_CHECK(av_frame_free "libavcodec/avcodec.h" HAVE_av_frame_free)
 MACRO_SYMBOL_CHECK(avcodec_free_context "libavcodec/avcodec.h" HAVE_avcodec_free_context)
 
-configure_file("ffmpeg-compat.h.in" "${CMAKE_BINARY_DIR}/ffmpeg-compat.h" @ONLY)
+configure_file("ffmpeg_compat.h.in" "${CMAKE_BINARY_DIR}/autogenerated_ffmpeg_compat.h" @ONLY)
