=== debian/changelog ===
freshplayerplugin (0.3.4-3) unstable; urgency=medium

  * really add the /usr/lib/mozilla/plugins directory (Closes: #814652)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 15 Feb 2016 17:33:28 +0100

freshplayerplugin (0.3.4-2) unstable; urgency=medium

  * add the '/usr/lib/mozilla/plugins' (empty) directory in the
    browser-plugin-freshplayer-pepperflash package (Closes: #814652)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 13 Feb 2016 23:48:15 +0100

freshplayerplugin (0.3.4-1) unstable; urgency=medium

  * New upstream release (Closes: #805263, #797827)
  * Implement the update-alternatives system for flash-mozilla.so
    like flashplugin-nonfree (Closes: #809432)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 04 Feb 2016 21:58:41 +0100
