=== debian/changelog ===
freshplayerplugin (0.3.5-1ubuntu7) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:35 +0000

freshplayerplugin (0.3.5-1ubuntu6) bionic; urgency=medium

  * No-change rebuild against latest libva

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Nov 2017 19:27:37 -0400

freshplayerplugin (0.3.5-1ubuntu5) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Aug 2017 22:08:18 +0000

freshplayerplugin (0.3.5-1ubuntu4) zesty; urgency=medium

  * d/*.postinst, d/*.preinst, d/*.prerm:
    - Use the same alternative as the adobe-flashplugin package to
      prevent confusion with the NPAPI plugin installed by
      adobe-flashplugin (LP: #1633678).
      Thanks to Alin Andrei for the solution!
  * d/control:
    - Drop the pepperflashplugin-nonfree recommend.
    - Recommend adobe-flashplugin.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 28 Oct 2016 23:00:00 +0200

freshplayerplugin (0.3.5-1ubuntu3) yakkety; urgency=medium

  * Really revert build-dependency on libjack-dev.
  * Run tests with LC_ALL=C (LP: #1578252).
  * Enforce tests again.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 17:46:08 +0100

freshplayerplugin (0.3.5-1ubuntu2) yakkety; urgency=medium

  * Revert last change.
  * Ignore test results, failing on the buildds. LP: #1578252.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:47:28 +0200

freshplayerplugin (0.3.5-1ubuntu1) yakkety; urgency=medium

  * Build-depend on libjack-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:22:11 +0200

freshplayerplugin (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 03 May 2016 09:47:48 +0200
