=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: freshplayerplugin
-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: contrib/web
 XS-Autobuild: yes
 Priority: optional
@@ -39,7 +40,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: pepperflashplugin-nonfree
+Recommends: adobe-flashplugin
 Description: PPAPI-host NPAPI-plugin adapter for pepperflash
  The main goal of the project is to get PPAPI (Chrome) plugins
  working in Firefox (and any other web-browser supporting NPAPI plugins).
