=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -33,6 +34,9 @@
 		-DWITH_NACL=TRUE \
 		-DWITH_PEPPERFLASH=TRUE
 
+override_dh_auto_test:
+	LC_ALL=C dh_auto_test
+
 override_dh_makeshlibs:
 	# not invoking dh_makeshlibs: the generated library is private
 	# no need to generate shlibs file nor ldconfig calls
