=== debian/watch ===
version=3
https://github.com/i-rinat/freshplayerplugin/releases .*/v(.*)\.tar\.gz
